Home

# Class goog.dom.FontSizeMonitor

This class can be used to monitor changes in font size. Instances will dispatch a {@code goog.dom.FontSizeMonitor.EventType.CHANGE} event. Example usage:

    var fms = new goog.dom.FontSizeMonitor();
    goog.events.listen(fms, goog.dom.FontSizeMonitor.EventType.CHANGE,
    function(e) {
    alert('Font size was changed');
    });

extends goog.events.EventTarget

Instance Method Summary

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `handleResize_(?goog.events.BrowserEvent e)` Handles the onresize event of the iframe and dispatches a change event in case its size really changed.